# Copyright 2021-2023 Deere & Company.

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from abc import ABCMeta, abstractmethod
from security_scan_invoker.build_details import BuildDetails
from security_scan_invoker.iface_veracode_api import IVeracodeAPI


class IBuildDetailsFetcher(metaclass=ABCMeta):
    def __init__(self, veracode_api: IVeracodeAPI):
        self.veracode_api: IVeracodeAPI = veracode_api

    @abstractmethod
    def get_build_details(self, app_name) -> BuildDetails:
        pass

    @abstractmethod
    def delete_build_info(self, app_id):
        pass
